Bug 430844 - anaconda repeatedly dies on fc6->f8 upgrade with error 'adding package to transaction failed'
Summary: anaconda repeatedly dies on fc6->f8 upgrade with error 'adding package to tra...
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 8
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-30 03:47 UTC by John Guthrie
Modified: 2008-04-22 15:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-22 15:55:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda log dump file (123.83 KB, text/plain)
2008-01-30 03:47 UTC, John Guthrie
no flags Details

Description John Guthrie 2008-01-30 03:47:14 UTC
Description of problem:Every time that I try to upgrade one of my machines from
fc6 to f8, I get the error 'adding package to transaction failed'.  This is
performing a network install using HTTP.

I am attaching the dump file from the debugging window below

Version-Release number of selected component (if applicable):


How reproducible:
EVery time

Steps to Reproduce:
1.Turn off machine
2.Place Fedora 8 rescue CD in CD tray
3.Turn on machine
4.Boot to Fedora 8 installation
5.Select HTTP as installation method
6.Select upgrade mode
7.Configure new boot loader
8.Watch anaconda spin for a long time to generate dependencies
9.Watch anaconda barf when it starts the install.
  
Actual results:
The installation terminates with the above error.

Expected results:
I would expect to have a machine running Fedora 8 by now

Additional info:
Please see attached log dump file

Comment 1 John Guthrie 2008-01-30 03:47:14 UTC
Created attachment 293362 [details]
anaconda log dump file

Comment 2 Chris Lumens 2008-02-16 17:49:47 UTC
Does the package kernel-2.6.23.1-42.fc8.i686.rpm exist on your HTTP installation
source?

Comment 3 John Guthrie 2008-04-12 09:39:08 UTC
No.  Actually, I have kernel-2.6.23.14-107.fc8.i686.rpm.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.